Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::Exception Class Reference

Base class for all exceptions in the Alembic libraries. Derived from both std::exception and std::string, publicly It is mostly commonly thrown using the macros. More...

`#include <Exception.h>`

Inheritance diagram for Alembic::Util::ALEMBIC_VERSION_NS::Exception:
[legend]
Collaboration diagram for Alembic::Util::ALEMBIC_VERSION_NS::Exception:
[legend]

## Public Member Functions

| Exception () throw ()
| default constructor creates exception with empty message string
| Exception (const std::string &str) throw ()
| Creates exception with an explicit message string. ...
| Exception (const Exception &exc) throw ()
| Copies exception. ...
virtual | ~Exception () throw ()
| Destructor is empty, but virtual to support polymorphic destruction of data in any derived classes.
virtual const char * | what () const throw ()
| Inherited from std::exception, this returns a non-modifiable character string describing the nature of the exception.

## Detailed Description

Base class for all exceptions in the Alembic libraries. Derived from both std::exception and std::string, publicly It is mostly commonly thrown using the macros.

The documentation for this class was generated from the following file:

- Util/Exception.h